Archived Version: v2026.02
You are viewing an archived reference version.
Follow the shortest path from API key preparation to your first successful request.
Deeply API provides REST endpoints for central server integration and WebSocket interfaces for real-time events. If you are new here, complete these three steps first.
API Key: long-lived credential used only to issue an access tokenAccess Token: Bearer token used for normal API requestsIf your key has not been issued yet, contact contact@deeplyinc.com.
Use the API Key to issue an access token, then use the access token for normal API calls.
After token issuance, List Events is the fastest endpoint to validate your integration.
All REST API requests use the following local base URL by default.
http://{{EDGE_IP}}:8100
If you want to validate the public HTTPS environment, you can also test with https://openapi.deeplyinc.com.
The items below apply when you test against https://openapi.deeplyinc.com:
For firewall and proxy configurations for https://openapi.deeplyinc.com:
https://openapi.deeplyinc.com or allow all public IP addressesNote: Properly configured DNS cache helps prevent requests to stale IP addresses.
For normal API requests, include:
Content-Type: application/json; charset=utf-8Authorization: Bearer YOUR_ACCESS_TOKENFor access-token issuance, use Authorization: Bearer YOUR_API_KEY.
Postman is an API client that simplifies API usage. To facilitate integration with Deeply, a Postman Collection is provided.
Fork the collection and fill the api_key environment variable with your issued API key to test the main requests immediately.
const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/auth/reissue', {
method: 'GET',
headers: {
"Authorization": "Bearer YOUR_API_KEY"
}
});
const data = await response.json();const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/events?page=1&size=10', {
method: 'GET',
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();